Bug 1762666 - pygrib to EPEL 8
Summary: pygrib to EPEL 8
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pygrib
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jos de Kloe
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1750791 1770541 1770543
Blocks: 1686878
TreeView+ depends on / blocked
 
Reported: 2019-10-17 08:22 UTC by adam winberg
Modified: 2021-03-11 14:03 UTC (History)
2 users (show)

Fixed In Version: pygrib-2.0.4-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-02 00:14:42 UTC
Type: Bug


Attachments (Terms of Use)

Description adam winberg 2019-10-17 08:22:28 UTC
Could pygrib be branched to EPEL 8?

Comment 1 Jos de Kloe 2019-10-17 18:05:21 UTC
Hi Adam,
yes, I intend to do this in the coming weeks.
But first the eccodes dependency has to be branched to EPEL 8 as well.

Comment 2 Jos de Kloe 2019-11-10 11:35:59 UTC
Current status:
eccodes has been succesfully build now for EPEL8.
Inaddition pygrib depends on pyproj. The latest pyproj cannot be compiled yet for EPEL8 due to missing dependencies: python3-shapely and Cython v0.29.
As a workaround, I will try to build an older pyproj version for EPEL8, but hope the dependencies will get fixed, so the latest version of pyproj can be provided in EPEL8.

Comment 3 Jos de Kloe 2019-11-10 11:40:18 UTC
In addition running the unit tests depend on python3-shapely. I can switch off these unit tests in the check version, of course but would rather not do that. Upstream will have had a good reason to unclude this dependency.

Comment 4 Fedora Update System 2019-11-16 10:17:33 UTC
FEDORA-EPEL-2019-bcd6751729 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-bcd6751729

Comment 5 Jos de Kloe 2019-11-16 10:22:22 UTC
additional info:
for now an older pyproj versio 2.2.1 has been build for EPEL 8. Newer versions cannot be build yet as explained above.
With this version, and using eccodes, pygrib has been build.
This is for now only possible for the x86_64 and ppc64le architecture. 
For the s390x and aarch64 architecture eccodes does not properly build yet, and the replacement grib_api library is not included in EPEL 8, therefore pygrib cannot be build for them yet.

Comment 6 Fedora Update System 2019-11-17 03:03:09 UTC
pygrib-2.0.4-1.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-bcd6751729

Comment 7 Fedora Update System 2019-12-02 00:14:42 UTC
pygrib-2.0.4-1.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Ben Beasley 2021-03-11 14:03:50 UTC
I have built python-shapely for EPEL8. Once it reaches stable you may re-enable the tests that use it. See https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-07b031f188.


Note You need to log in before you can comment on or make changes to this bug.